<?php
/**
* キャッシュファイルヘッダクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class CacheFileHeader
{
	private $_create_time;
	private $_version;

	const HEADER_VERSION = "0.0.1-alpha";

	/*
	 *    ヘッダバージョンを確認
	 */
	public function checkVersion()
	{
		return strcmp( $this->_version, self::HEADER_VERSION ) == 0;
	}

	/**
	 *  作成時刻を取得
	 */
	public function getCreateTime()
	{
		return $this->_create_time;
	}

	/**
	 *  作成時刻を設定
	 */
	public function setCreateTime( $create_time )
	{
		$this->_create_time = $create_time;
	}

	/**
	 *  バージョンを取得
	 */
	public function getVersion()
	{
		return $this->_version;
	}

	/**
	 *  バージョンを設定
	 */
	public function setVersion( $version )
	{
		$this->_version = $version;
	}


}
?>